function [u0,u1,u2] = NewmarkLineal(N,t,p,m,c,k,gamma,beta)

Dt=t(2)-t(1);
u0(1)=0;
u1(1)=0;
u2(1)=(p(1)-c*u1(1)-k*u0(1))/m;
kk=k+(gamma*c)/(beta*Dt)+m/(beta*Dt*Dt);
a=m/(beta*Dt)+c*gamma/beta;
b=m/(2*beta)+c*Dt*(gamma/(2*beta)-1);
for i=1:N-1
    Dp=p(i+1)-p(i);
    Dpp=Dp+a*u1(i)+b*u2(i);
    Du0=Dpp/kk;
    Du1=Du0*gamma/(beta*Dt)-u1(i)*gamma/beta+Dt*(1-gamma/(2*beta))*u2(i);
    Du2=Du0/(beta*Dt*Dt)-u1(i)/(beta*Dt)-u2(i)/(2*beta);
    u0(i+1)=u0(i)+Du0;
    u1(i+1)=u1(i)+Du1;
    u2(i+1)=u2(i)+Du2;
end

end
